#!/bin/sh
# Copyright Jonathan Hartley 2013. BSD 3-Clause license, see LICENSE file.

# Script to demonstrate features of colorama.

# This demo is also used to verify correctness visually, because we don't have
# automated tests.

# Implemented as a bash script which invokes python so that we can test the
# behaviour on exit, which resets default colors again.

# print grid of all colors and brightnesses
/usr/bin/python3demo01.py

# Simple demo of changing foreground, background and brightness.
/usr/bin/python3demo02.py

# Demonstrate the different behavior when autoreset is True and False.
/usr/bin/python3demo03.py

# check that stripped ANSI in redirected stderr does not affect stdout
rm -f demo04.out
/usr/bin/python3demo04.py 2> demo04.out
cat demo04.out
rm -f demo04.out

# Demonstrate the difference between colorama initialized with wrapping on and off.
/usr/bin/python3demo05.py

# Skip demo06
# It is too visually disruptive,
# making it hard to see whether any of the demos are working correctly.

# Demonstrate cursor relative movement: UP, DOWN, FORWARD, and BACK in colorama.CURSOR
/usr/bin/python3demo07.py

# Demonstrate the use of a context manager instead of manually using init and deinit
/usr/bin/python3demo08.py
